@import "app-variables";
@import "app-mixins";
@import "mixins";

.vocabulary {

  &__list {
    margin: 3rem 0;
  }

  &__item {
    display: flex;
    justify-content: space-between;

    & + & {
      margin-top: 1em;
    }
  }

  &__cell {
    align-items: center;
    display: flex;
    line-height: 1.2;
    padding: 0 1rem;

    &:first-of-type {
      width: 60%;
    }

    &:nth-of-type(2){
      width: 40%;
    }
  }

  &__audio {
    display: inline-block;
    margin-right: 1rem;
  }

  &__footer {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
    padding-top: 2rem;
    position: relative;

    &:before {
      background-color: map-get($colors, 'text');
      content: "";
      height: 1px;
      left: 0;
      opacity: .5;
      position: absolute;
      top: 0;
      width: 100%;
    }
  }

  @include media-breakpoint-up(md) {
    
    &__list {
      margin: 4rem auto;
      width: 80%;
      transform: translateX(5%);
    }
  }

  @include media-breakpoint-up(xxl) {
    
    &__list {
      width: 90%;
    }
    
    &__footer {
      margin-top: 4rem;
      padding-top: 4rem;
    }
  }
}
